Skip to main content
`Ctrl`+`K`

# numpy.polynomial.chebyshev.Chebyshev.identity

method

classmethod polynomial.chebyshev.Chebyshev.identity(domain=None, window=None, symbol='x')

  Identity function.

  If `p` is the returned series, then `p(x) == x` for all values of x.

  Parameters:
    domain{None, array_like}, optional

      If given, the array must be of the form `[beg, end]`, where `beg` and `end` are the endpoints of the domain. If None is given then the class domain is used. The default is None.

    window{None, array_like}, optional

      If given, the resulting array must be if the form `[beg, end]`, where `beg` and `end` are the endpoints of the window. If None is given then the class window is used. The default is None.

    symbol str, optional

      Symbol representing the independent variable. Default is ‘x’.

  Returns:
    new_series series

      Series of representing the identity.